HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPaymentIntentsIntentApplyCustomerBalance

Contains the different functions to run the operation postPaymentIntentsIntentApplyCustomerBalance

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostPaymentIntentsIntentApplyCustomerBalance.hs
valuepostPaymentIntentsIntentApplyCustomerBalance
  1. :: MonadHTTP m
  2. => Text

    intent | Constraints: Maximum length of 5000

  3. -> Maybe PostPaymentIntentsIntentApplyCustomerBalanceRequestBody

    The request body to send

  4. -> ClientT m (Response PostPaymentIntentsIntentApplyCustomerBalanceResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/payment_intents/{intent}/apply_customer_balance

<p>Manually reconcile the remaining amount for a customer_balance PaymentIntent.</p>

<p>This can be used when the cash balance for <a href="docs/payments/customer-balance/reconciliation#cash-manual-reconciliation">a customer in manual reconciliation mode</a> received funds.</p>

Defines the object schema located at paths./v1/payment_intents/{intent}/apply_customer_balance.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPaymentIntentsIntentApplyCustomerBalance.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPaymentIntentsIntentApplyCustomerBalanceResponseError is used.

Instances2Eq, Show